{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine forward_event\r\ndeclare function editcell\r\n\r\nforward_event( NextColumn, NextRow )\r\nCurRow = .rej_info->rowdata\r\nCurRow<3,1> = oconv( CurRow<2,1>, '[XLATE_CONV,LOSS_CODES*DESC]' )\r\nCurRow<5,1> = oconv( CurRow<4,1>, '[XLATE_CONV,ASSIGN_CAUSE*ASSIGN_CAUSE_DESC]' )\r\n.rej_info->rowdata = CurRow\r\nif NextColumn = 3 then\r\n   NextColumn = 4\r\n  .rej_info->selpos = NextColumn:@fm:NextRow\r\nend else\r\n   if NextColumn = 5 then\r\n      NextColumn = 1\r\n      NextRow += 1\r\n     .rej_info->selpos = NextColumn:@fm:NextRow\r\n   end\r\nend\r\nif get_property( @window, '@JustClicked' ) then\r\n    Void = editcell( CtrlEntId, '' )\r\n    Void = set_property( @window, '@JustClicked' )\r\nend\r\nreturn 0\r\n"
        }
    }
}